package com.hxhq.job.service;

import com.hxhq.common.core.web.domain.AjaxResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * 定时任务
 * 
 * @author hxhq
 */
@FeignClient(name = "hxhq-integration")
public interface DataSyncTaskService
{
    @GetMapping("/reagentStock/dataSync")
    AjaxResult syncReagentStock();


    @GetMapping("/instrument/dataSync")
    AjaxResult syncInstrument();

    @GetMapping("/container/dataSync")
    AjaxResult syncContainer();
}
